Technology for wireless

Connecting devices to IoT via wireless mesh networks

Home » Technology » DPA » DPA SW and documentation

DPA SW and documentation

DPA v3.02 for OS 4.02D - Current for TR-7xD

PDF IQRF Quickstart guide โ€“ How to start
PDF HWP โ€“ Download DPA plug-ins (hardware profiles), included in IQRF Startup package
INFO Custom DPA handler headers and examples - Maybe more up-to-date than the ones in Startup package

Known issues:

  • SPI Peripheral: The DPA for Node without DPA interface support at standard RF mode (HWP-Node-STD-7xD-V302-171116.iqrf or HWP-Node-STD-7xD-V301-170814.iqrf) does not initialize enabled SPI Peripheral.
    Workaround: Call enableSPI() at DpaEvent_Init event.
  • UART interface shutdown: The DPA for Coordinator with a UART interface (HWP-Coordinator-STD-UART-7xD-V302-171116.iqrf or HWP-Coordinator-LP-UART-7xD-V302-171116.iqrf) does not shutdown the UART interface before Discovery, Reset, Restart, Run RFPGM and LoadCode commands are executed. This might cause a malfunctioning in case of Discovery or missing DPA Response in other cases.
    Workaround: Enable Node interface at the HWP Configuration although the device is the Coordinator.
These issues will be fixed in the next DPA release.


DPA v3.01 for OS 4.02D - Not recommended for new designs



DPA v3.00 for OS 4.00D - Not recommended for new designs



DPA v2.28 for OS 3.08D - Not recommended for new designs

PDF HWP - Final release for DCTR-5xD

DPA v2.27 for OS 3.08D - Not recommended for new designs


DPA v2.26 for OS 3.08D - Not recommended for new designs


DPA v2.24 for OS 3.07D - Not recommended for new designs


DPA v2.23 for OS 3.07D - Obsolete.  Serious bug present.


DPA v2.22 for OS 3.07D - Obsolete.  Serious bug present.


DPA v2.21 for OS 3.07D - Obsolete.  Serious bug present.


DPA v2.20 for OS 3.07D - Obsolete.  Serious bug present.


DPA v2.13 for OS 3.06D - Not recommended for new designs


DPA v2.12 for OS 3.06D - Obsolete

DPA v2.11 for OS 3.06D - Obsolete


DPA v2.10 for OS 3.06D - Obsolete


DPA v2.01 for OS 3.05D - Not recommended for new designs



DPA v2.00 for OS 3.05D - Obsolete


DPA v1.00 for OS 3.04D - Not recommended for new designs

First release